Download it now!
Bug 66859 - FILESAVE: File Save in xls format lost image position as background
Summary: FILESAVE: File Save in xls format lost image position as background
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2013-07-12 16:07 UTC by Francesco
Modified: 2019-05-14 02:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
ToBackground.ods (20.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-02-12 10:22 UTC, pierre-yves samyn
Details
ToBackground1.png (14.66 KB, image/png)
2015-02-12 10:24 UTC, pierre-yves samyn
Details
ToBackground2.png (13.48 KB, image/png)
2015-02-12 10:24 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco 2013-07-12 16:07:08 UTC
Problem description: 

Steps to reproduce:
1. Make a Calc file with a background image
2. Resize the calc print area
3. Select the iamge to use as background
4. Save the file
5. Open the file and...:
   - the image in the background is not in the background but over the text
   - the print area is reset to A4 size

Current behavior: lost saved settings of the page

Expected behavior: maintain saved settings of the page

              
Operating System: Windows 7
Version: 4.0.4.2 release
Comment 1 m.a.riosv 2013-07-12 22:09:42 UTC
Hi Francesco, thanks for reporting.
The issue is reproducible saving in a xls file format not with native ods file format.

The issue happens saving with 3.3.4
Comment 2 Cor Nouws 2013-07-13 19:38:13 UTC
Francesco, Mariosv:

thus it has nothing to do with the print area?
(That saves different in xls too ..)
Comment 3 Francesco 2013-07-15 07:09:59 UTC
Emh.. Sorry!!!
Only with ".xls" extension... with ".ods" extension that's all right!

Thank you mariosv ;)
Comment 4 retired 2013-12-21 15:53:25 UTC
Can you please provide a test document so this can be tested against and subsequently be confirmed. If your document contains sensitive data, please clear that or replace it with random information.

A step-by-step description of how to reproduce the issue is most helpful and will help to speed up the processing of this problem a lot.

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to UNCONFIRMED. Thanks :)
Comment 5 QA Administrators 2014-07-08 17:29:04 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2014-08-04 16:15:09 UTC Comment hidden (obsolete)
Comment 7 pierre-yves samyn 2015-02-12 10:20:39 UTC
Hi 

I Reproduce on windows 7 & Version: 4.3.5.2
Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

Steps to reproduce:

1. Open the ToBackground.ods attached

Expected & actual result: the image is set to background
See ToBackground1.png attached

2. File> Save As MS Excel 97 (.xls)
3. File> Reload

Expected result: the image is set to background
Actual result: the image is set to foreground

See ToBackground2.png attached

Regards
Pierre-Yves
Comment 8 pierre-yves samyn 2015-02-12 10:22:50 UTC
Created attachment 113335 [details]
ToBackground.ods
Comment 9 pierre-yves samyn 2015-02-12 10:24:16 UTC
Created attachment 113337 [details]
ToBackground1.png
Comment 10 pierre-yves samyn 2015-02-12 10:24:58 UTC
Created attachment 113338 [details]
ToBackground2.png
Comment 11 raal 2015-02-12 11:50:34 UTC
(In reply to pierre-yves samyn from comment #7)
> Hi 
> 
> I Reproduce on windows 7 & Version: 4.3.5.2
> Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5
> 

Setting to NEW
Comment 12 Sonic 2015-02-12 11:58:15 UTC
Confirm this issue on 4.4.0.3
Comment 13 Jean-Baptiste Faure 2015-03-02 05:16:52 UTC
Pierre-Yves confirmed this issue on MS-Windows-7, so the correct value for OS is now ALL.
The oldest version in which the issue has been seen is 3.3.4.

Best regards. JBF
Comment 14 tommy27 2016-04-16 07:28:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 15 QA Administrators 2019-05-14 02:55:40 UTC
Dear Francesco,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug